Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFFloat Class Reference
[Field classes]

The SoSFFloat class is a container for a floating point value. More...

`#include <Inventor/fields/SoSFFloat.h>`

Inheritance diagram for SoSFFloat:

List of all members.

## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFFloat class is a container for a floating point value.

This field is used where nodes, engines or other field containers needs to store a single floating point value.

See also:
  SoMFFloat

## Member Function Documentation

void SoSFFloat::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

The documentation for this class was generated from the following files:

- SoSFFloat.h
- SoSFFloat.cpp